DECLARE @Id_Moneda CHAR(3), @Fecha DATETIME ,@Coef DECIMAL(16,4)

SET @Id_Moneda = dbo.CF_xParam('Moneda_Nacional')


SET @Fecha = '20161201'
SET @Coef  = 100
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170101'
SET @Coef  = 101.6
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170201'
SET @Coef  = 103.7
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170301'
SET @Coef  = 106.1	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170401'
SET @Coef  = 109.0	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170501'
SET @Coef  = 110.5
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170601'
SET @Coef  = 111.8	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170701'
SET @Coef  = 113.8	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170801'
SET @Coef  = 115.4	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20170901'
SET @Coef  = 117.6	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20171001'
SET @Coef  = 119.4	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20171101'
SET @Coef  = 121.0	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20171201'
SET @Coef  = 124.8	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180101'
SET @Coef  = 127.0	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180201'
SET @Coef  = 130.1	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180201'
SET @Coef  = 133.1	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180401'
SET @Coef  = 136.8	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180501'
SET @Coef  = 139.6	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180601'
SET @Coef  = 144.8	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180701'
SET @Coef  = 149.3	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180801'
SET @Coef  = 155.1	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20180901'
SET @Coef  = 165.2	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20181001'
SET @Coef  = 174.1	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20181101'
SET @Coef  = 179.6	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20181201'
SET @Coef  = 184.3	
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

SET @Fecha = '20190101'
SET @Coef  = 189.6
IF NOT EXISTS (SELECT 1 FROM Valores_Monedas_Inflacion WHERE Id_Moneda = @Id_Moneda AND Fecha = @Fecha)
	INSERT INTO  Valores_Monedas_Inflacion VALUES(@Id_Moneda,@Fecha,@Coef)

